Remove references to --local_resources in Blaze tests and documentation.

--local_resources will soon be deprecated in favor of --local_cpu_resources and --local_ram_resources.

PiperOrigin-RevId: 237451180
diff --git a/site/docs/user-manual.html b/site/docs/user-manual.html
index 3f06d34..14e0f33 100644
--- a/site/docs/user-manual.html
+++ b/site/docs/user-manual.html
@@ -920,15 +920,17 @@
   affect the amount of memory that the Bazel server itself will use.
 </p>
 
-<h4 id='flag--local_resources'><code class='flag'>--local_resources</code> <var>availableRAM,availableCPU,availableIO</var></h4>
+<h4 id='flag--local_{ram,cpu}_resources'><code class='flag'>--local_{ram,cpu}_resources</code>
+  <var>resources or resource expression</var></h4>
 <p>
-  This option, which takes three comma-separated floating point arguments,
-specifies the amount of local resources that Bazel can take into
-consideration when scheduling build and test activities. Option expects amount of
-available RAM (in MB), number of CPU cores (with 1.0 representing single full
-core) and workstation I/O capability (with 1.0 representing average
-workstation). By default Bazel will estimate amount of RAM and number of CPU
-cores directly from system configuration and will assume 1.0 I/O resource.
+  These options specify the amount of local resources (RAM in MB and number of CPU logical cores)
+  that Bazel can take into consideration when scheduling build and test activities. They take
+  an integer, or a keyword (HOST_RAM or HOST_CPUS) optionally followed by [-|*<float>float</float>]
+  (for example, <code class='flag'>--local_cpu_resources=2</code>,
+  <code class='flag'>--local_ram_resources=HOST_RAM*.5</code>,
+  <code class='flag'>--local_cpu_resources=HOST_CPUS-1</code>).
+  The flags are independent; one or both may be set. By default Bazel will estimate amount of RAM
+  and number of CPU cores directly from system configuration.
 </p>
 <p>
   If this option is used, Bazel will ignore --ram_utilization_factor.
diff --git a/src/test/shell/bazel/bazel_test_test.sh b/src/test/shell/bazel/bazel_test_test.sh
index 5de3347..f2f9a0a 100755
--- a/src/test/shell/bazel/bazel_test_test.sh
+++ b/src/test/shell/bazel/bazel_test_test.sh
@@ -69,7 +69,7 @@
   set_up_jobcount
   # 3 CPUs, so no more than 3 tests in parallel.
   bazel test --spawn_strategy=standalone --test_output=errors \
-    --local_test_jobs=0 --local_resources=10000,3,100 \
+    --local_test_jobs=0 --local_cpu_resources=3 \
     --runs_per_test=10 //dir:test
 }
 
@@ -77,7 +77,7 @@
   set_up_jobcount
   # 3 local test jobs, so no more than 3 tests in parallel.
   bazel test --spawn_strategy=standalone --test_output=errors \
-    --local_test_jobs=3 --local_resources=10000,10,100 \
+    --local_test_jobs=3 --local_cpu_resources=10 \
     --runs_per_test=10 //dir:test
 }
 
diff --git a/src/test/shell/integration/bazel_testjobs_test.sh b/src/test/shell/integration/bazel_testjobs_test.sh
index 1c02b71..880c3ce 100755
--- a/src/test/shell/integration/bazel_testjobs_test.sh
+++ b/src/test/shell/integration/bazel_testjobs_test.sh
@@ -107,22 +107,22 @@
 function test_local_test_jobs_constrains_test_execution() {
   create_test_files
   # 3 local test jobs, so no more than 3 tests in parallel.
-  bazel test --local_test_jobs=3 --local_resources=10000,10,100 --runs_per_test=10 \
+  bazel test --local_test_jobs=3 --local_cpu_resources=10 --runs_per_test=10 \
       //dir:test >& $TEST_log || fail "Expected success"
 }
 
 function test_no_local_test_jobs_causes_local_resources_to_constrain_test_execution() {
   create_test_files
   # unlimited local test jobs, so local resources enforces 3 tests in parallel.
-  bazel test --local_resources=10000,3,100 --runs_per_test=10 \
+  bazel test --local_cpu_resources=3 --runs_per_test=10 \
       //dir:test >& $TEST_log || fail "Expected success"
 }
 
 function test_local_test_jobs_exceeds_jobs_causes_warning() {
   create_test_files
   # 10 local test jobs, but only 3 jobs, so warning is printed, and only 3 tests run concurrently
-  bazel test --jobs=3 --local_test_jobs=10 --local_resources=10000,10,100 --runs_per_test=10 \
-      //dir:test >& $TEST_log || fail "Expected success"
+  bazel test --jobs=3 --local_test_jobs=10 --local_cpu_resources=10 \
+  --runs_per_test=10 //dir:test >& $TEST_log || fail "Expected success"
 
   expect_log 'High value for --local_test_jobs'
 }
diff --git a/src/test/shell/integration/progress_reporting_test.sh b/src/test/shell/integration/progress_reporting_test.sh
index e80f5cb..76b3687 100755
--- a/src/test/shell/integration/progress_reporting_test.sh
+++ b/src/test/shell/integration/progress_reporting_test.sh
@@ -322,7 +322,7 @@
   # there are enough local resources for two genrules to run in parallel.
   # Give enough head room so that the test won't break again if we tweak
   # our assumptions about local resource usage.
-  bazel build -j 2 --local_resources=2048000,32,32 \
+  bazel build -j 2 --local_ram_resources=2048000 --local_cpu_resources=32 \
        -k -s "//${pkg}:"{top,longrun} --progress_report_interval=1 \
        >& "$TEST_log" && fail "build succeeded"
   expect_log "\[3 / 4\] Still waiting for 1 job to complete:"